# Interface methods for submodule: Vector
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FixedArrayProxy as _FixedArrayProxy


# Interface methods for class: Vector
class VectorProxy(_FixedArrayProxy):
	@staticmethod
	def GetVectorDimension() -> int:
		""""""
		...

	def SetVnlVector(self, arg0: vnl_vector) -> None:
		""""""
		...

	@overload
	def GetVnlVector(self) -> vnl_vector_ref:
		""""""
		...

	@overload
	def GetVnlVector(self) -> vnl_vector:
		""""""
		...

	def GetNorm(self) -> float:
		""""""
		...

	def GetSquaredNorm(self) -> float:
		""""""
		...

	@staticmethod
	def GetNumberOfComponents() -> int:
		""""""
		...

	def Normalize(self) -> float:
		""""""
		...

	@overload
	def SetNthComponent(self, c: int, v: float) -> None:
		""""""
		...

	@overload
	def SetNthComponent(self, c: int, v: int) -> None:
		""""""
		...

